Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.event
Class ListDataEvent

    java.lang.Object
      java.util.EventObject
          charvax.swing.event.ListDataEvent

All Implemented Interfaces:
  java.io.Serializable

public class ListDataEvent
extends java.util.EventObject

An event that characterizes a change in a list.

See Also:
  Serialized Form

Field Summary
`static int` | `CONTENTS_CHANGED`
`static int` | `INTERVAL_ADDED`
`static int` | `INTERVAL_REMOVED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListDataEvent(java.lang.Object source_, int type_, int firstIndex_, int lastIndex_)` Construct a ListDataEvent.

Method Summary
`int` | `getIndex0()` Get the index of the first row that changed.
`int` | `getIndex1()` Get the index of the last row that changed.
`int` | `getType()` Returns the type of event, which is always CONTENTS_CHANGED.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENTS_CHANGED

    public static final int CONTENTS_CHANGED

See Also:
  Constant Field Values

### INTERVAL_ADDED

    public static final int INTERVAL_ADDED

See Also:
  Constant Field Values

### INTERVAL_REMOVED

    public static final int INTERVAL_REMOVED

See Also:
  Constant Field Values

Constructor Detail

### ListDataEvent

    public ListDataEvent(java.lang.Object source_,
                         int type_,
                         int firstIndex_,
                         int lastIndex_)

  Construct a ListDataEvent.

Parameters:
  `source_` - the object that initiated this event (usually a DefaultListSelectionModel).
  `type_` - an int specifying the type of event; must be CONTENTS_CHANGED (INTERVAL_ADDED or INTERVAL_REMOVED are unused in CHARVA).
  `firstIndex_` - an index specifying the bottom of a range.
  `lastIndex_` - an index specifying the top of a range.

Method Detail

### getType

    public int getType()

  Returns the type of event, which is always CONTENTS_CHANGED.

### getIndex0

    public int getIndex0()

  Get the index of the first row that changed.

### getIndex1

    public int getIndex1()

  Get the index of the last row that changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD